/v1/workspaces/{workspace_id}/waitlists/{waitlist_id}/entries/{entry_id}AuthDelete an entry
Removes the entry. Other entries keep their positions (no renumbering).
Path parameters
workspace_id*string · uuidId of the workspace.
waitlist_id*string · uuidId of the waitlist.
entry_id*string · uuidId of the entry.
Response · 204
Entry deleted.
Example
Request
DELETE https://api.waitlist.productcraft.co/v1/workspaces/{workspace_id}/waitlists/{waitlist_id}/entries/{entry_id}
Authorization: Bearer YOUR_TOKENimport { Waitlist } from "@productcraft/waitlist";
// Reads PRODUCTCRAFT_API_KEY from the environment
const waitlist = new Waitlist();
await waitlist.lists.entries.delete("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");waitlist.lists.entries.delete(waitlistId, entryId, options?): void